Token Transparency
List Token Transparency Reports
Retrieve a paginated list of token transparency framework scores and ratings
GET
List Token Transparency Reports
Overview
This endpoint returns a paginated list of token transparency framework reports, with scores across four key categories: Project & Team, Token Allocation, Market Structure, and Financial Disclosure. This powers the Token Transparency page on the Blockworks website.Example Request
Example Response
A successful response returns a paginated list of transparency reports.Supported Options
| Name | Type | Details | Available Options |
|---|---|---|---|
expand | query | Expand related data. | asset |
limit | query | The number of reports to return (max: 100, default: 100) | 1-100 |
page | query | The page number to return. | any numeric value |
order_by | query | Field to order results by. | asset.title, project_team, token_allocation, market_structure, financial_disclosure, total |
order_dir | query | Order direction for results. Default is asc (ascending). | asc, desc |
Response Fields
| Field | Type | Description |
|---|---|---|
id | number | Unique report identifier |
asset_id | number | Associated asset identifier |
summary | string | Report summary text |
created_at | number | Unix timestamp when report was created |
updated_at | number | Unix timestamp of last update |
project_team | object | Project & Team category scores |
project_team.rating | number | Score achieved in this category |
project_team.max | number | Maximum possible score |
token_allocation | object | Token Allocation category scores |
token_allocation.rating | number | Score achieved in this category |
token_allocation.max | number | Maximum possible score |
market_structure | object | Market Structure category scores |
market_structure.rating | number | Score achieved in this category |
market_structure.max | number | Maximum possible score |
financial_disclosure | object | Financial Disclosure category scores |
financial_disclosure.rating | number | Score achieved in this category |
financial_disclosure.max | number | Maximum possible score |
Related Endpoints
Authorizations
Query Parameters
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 100Available options:
asset Maximum string length:
65535Available options:
asc, desc